## dialog 0.9a

=== Makefile ===
# configuration part of the Makefile

# if you change one of these flags, do 'make clean; make depend'

# For cdialog version 0.9a, libgpm can't be used because it doesn't
# implement the wtimeout() function of ncurses.

# gpm mouse support?
HAVE_GPM_SUPPORT=false
# ncurses or just normal curses?
HAVE_NCURSES=true
# support of a configuration file
HAVE_RC_FILE=false
# can be disabled to make cdialog a bit smaller (could be done for more things)
HAVE_GUAGE=false
HAVE_TAILBOX=true

BINDIR = /usr/bin
MANDIR = /usr/man/man1/

CC = gcc
CPP = gcc -E
OPTIM = -O2 -Wall -Wstrict-prototypes -fomit-frame-pointer -pipe
#OPTIM = -O -Wall -Wstrict-prototypes -g -pipe

# end of the configuration part
#----------------------------------------------------------------------------
# do not edit below this line

CFLAGS = $(OPTIM) -DLOCALE -DVERSION=\"0.9a\"
LDFLAGS = -L .
LDLIBS = -ldialog -lm

OBJS = checklist.o inputbox.o menubox.o msgbox.o \
	 textbox.o util.o yesno.o mousewget.o

ifeq ($(HAVE_GPM_SUPPORT), true)
LDLIBS+=-lgpm
CFLAGS+=-DHAVE_LIBGPM
OBJS+=mouse.o
endif
ifeq ($(HAVE_NCURSES), true)
CFLAGS+=-DHAVE_NCURSES -I/usr/include/ncurses
LDLIBS+=-lncurses
endif
ifeq ($(HAVE_RC_FILE), true)
CFLAGS+=-DHAVE_RC_FILE
OBJS+=rc.o
endif
ifeq ($(HAVE_GUAGE), true)
OBJS+=guage.o
CFLAGS+=-DHAVE_GUAGE
endif
ifeq ($(HAVE_TAILBOX), true)
OBJS+=tailbox.o
CFLAGS+=-DHAVE_TAILBOX
endif

SRCS = $(OBJS:.o=.c)

all: libdialog.a dialog

libdialog.a: $(OBJS)
	ar rcs libdialog.a $(OBJS)

dialog: $(OBJS) dialog.o

clean:
	rm -f core *.o *~ dialog .depend libdialog.a
	touch .depend

include .depend

install: dialog libdialog.a
	install -s dialog $(BINDIR)
	install -m 644 dialog.1 $(MANDIR)
#	install -m 644 libdialog.a /usr/lib/

depend:
	$(CPP) -M $(CFLAGS) $(SRCS) > .depend

## dialog 1.1-20100428

=== debian/changelog ===
dialog (1.1-20100428-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/rules clean target: s/Makefile/makefile/.
  * Fixed an infinite loop in dlg_button_layout(). Closes: #579390.

 -- Santiago Vila <sanvila@debian.org>  Fri, 07 May 2010 20:25:48 +0200

dialog (1.1-20100119-2) unstable; urgency=low

  * Include support files required by sample scripts. Closes: #571064.
  * Switch to 3.0 (quilt) source format (with 0 patches).
  * Drop INSTALL_PROGRAM stuff from debian/rules, use appropriate strip
    options for each object to be stripped.

 -- Santiago Vila <sanvila@debian.org>  Tue, 23 Feb 2010 15:49:24 +0100

dialog (1.1-20100119-1) unstable; urgency=low

  * New upstream release.
  * Added homepage field to control file.
  * Do not ignore errors from make distclean (lintian warning).
  * Removed .comment section from executable (lintian warning).
  * Put dialog.pl in /usr/share/perl5 where it should be.

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Feb 2010 14:11:40 +0100

dialog (1.1-20080819-1) unstable; urgency=low

  * New upstream release to address problem with deborphan.
    The checklist widget, by default, no longer quotes its output
    if --separate-output is used. Closes: #495600, #495725.

 -- Santiago Vila <sanvila@debian.org>  Wed, 20 Aug 2008 11:45:16 +0200

dialog (1.1-20080727-1) unstable; urgency=low

  * New upstream release.
  * Should fix bashisms in example scripts. Closes: #489563.

 -- Santiago Vila <sanvila@debian.org>  Mon,  4 Aug 2008 12:27:26 +0200

dialog (1.1-20080316-1) unstable; urgency=low

  * New upstream release.
  * Fixed segfault in formbox. Closes: #469190.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 Mar 2008 19:45:10 +0100

dialog (1.1-20071028-3) unstable; urgency=low

  * Build with -fPIC. Required by gnunet. Closes: #457263. Note that
    this is just a temporary workaround for Bug#454948. There will
    be a shared library in the near future.
  * Added Provides: libdialog-dev. Packages who build-depend on dialog
    because of its library *must* now depend on libdialog-dev instead.
  * Changed extended description to mention editor. Closes: #463234.

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Feb 2008 16:52:52 +0100

dialog (1.1-20071028-2) unstable; urgency=low

  * Modified debian/rules to support cross compilation. Closes: #451147.

 -- Santiago Vila <sanvila@debian.org>  Tue,  5 Feb 2008 13:30:06 +0100

dialog (1.1-20071028-1) unstable; urgency=low

  * New upstream release. No longer breaks some scripts. Closes: #443077.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Nov 2007 19:00:06 +0100

dialog (1.1-20070930-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Oct 2007 07:47:36 +0200

dialog (1.1-20070604-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue,  5 Jun 2007 07:31:40 +0200

dialog (1.1-20070528-1) unstable; urgency=low

  * New upstream release. Should fix #423732 the right way.

 -- Santiago Vila <sanvila@debian.org>  Mon, 28 May 2007 17:08:30 +0200

dialog (1.1-20070514-1) unstable; urgency=low

  * New upstream release.
  * Fixed timeout regression (Closes: #418905).
  * Fixed tailbox regression (Closes: #423732).

 -- Santiago Vila <sanvila@debian.org>  Tue, 15 May 2007 14:11:00 +0200

dialog (1.1-20070409-2) unstable; urgency=low

  * Fixed behaviour of right arrow (Closes: #418917).
    Patch by the author. Thanks to Daniel Lublin for the report.

 -- Santiago Vila <sanvila@debian.org>  Sat, 21 Apr 2007 17:40:28 +0200

dialog (1.1-20070409-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Apr 2007 10:56:56 +0200

dialog (1.1-20070325-1) unstable; urgency=low

  * New upstream release.
  * Resizing of msgbox should now work (Closes: #415022).
  * Fixed documentation regarding gauge and "XXX" string (Closes: #415596).

 -- Santiago Vila <sanvila@debian.org>  Sun,  1 Apr 2007 14:23:12 +0200

dialog (1.1-20070227-1) unstable; urgency=low

  * New upstream release.
  * Added option --editbox (Closes: #368478).
  * Added option --keep-tite (Closes: #380665).
  * Available soon: shared libraries (but not yet).

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 Mar 2007 15:00:10 +0200

dialog (1.0-20060221-3) unstable; urgency=medium

  * Fixed regression in pause box. Patch by the author. Closes: #409254.

 -- Santiago Vila <sanvila@debian.org>  Fri,  2 Feb 2007 18:23:26 +0100

dialog (1.0-20060221-2) unstable; urgency=medium

  * Fixed regression in form box. Patch by the author. Closes: #404045.

 -- Santiago Vila <sanvila@debian.org>  Mon,  1 Jan 2007 19:25:16 +0100

dialog (1.0-20060221-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 24 Feb 2006 19:07:04 +0100

dialog (1.0-20060126-1) unstable; urgency=low

  * New upstream release.
  * Fixed normal menus, which didn't return the choice (Closes: #349969).

 -- Santiago Vila <sanvila@debian.org>  Fri, 27 Jan 2006 17:26:12 +0100

dialog (1.0-20060119-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 22 Jan 2006 13:51:46 +0100

dialog (1.0-20060101-1) unstable; urgency=low

  * New upstream release.
  * Fixed segfault problem in tailboxbg (Closes: #345524).

 -- Santiago Vila <sanvila@debian.org>  Mon,  2 Jan 2006 14:08:10 +0100

dialog (1.0-20051219-1) unstable; urgency=low

  * New upstream release.
  * Added sv.po (Closes: #343303). Please join the Free Translation Project.
  * Fixed segfault problem in the previous release (Closes: #344002).

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Dec 2005 18:59:36 +0100

dialog (1.0-20051207-1) unstable; urgency=low

  * New upstream release.
  * License is now LGPL, see the upstream changelog for details.

 -- Santiago Vila <sanvila@debian.org>  Wed, 14 Dec 2005 19:26:16 +0100

dialog (1.0-20051107-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: dialog
Section: misc
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.8.4
Build-Depends: libncursesw5-dev (>= 5.3), gettext
Homepage: http://invisible-island.net/dialog/dialog.html

Package: dialog
Architecture: any
Depends: ${shlibs:Depends}, debianutils (>= 1.6)
Provides: libdialog-dev
Description: Displays user-friendly dialog boxes from shell scripts
 This application provides a method of displaying several different types
 of dialog boxes from shell scripts.  This allows a developer of a script
 to interact with the user in a much friendlier manner.
 .
 The following types of boxes are at your disposal:
  yes/no           Typical query style box with "Yes" and "No" answer buttons
  menu             A scrolling list of menu choices with single entry selection
  input            Query style box with text entry field
  message          Similar to the yes/no box, but with only an "Ok" button
  text             A scrollable text box that works like a simple file viewer
  info             A message display that allows asynchronous script execution
  checklist        Similar to the menu box, but allowing multiple selections
  radiolist        Checklist style box allowing single selections
  gauge            Typical "progress report" style box
  tail             Allows viewing the end of files (tail) that auto updates
  background tail  Similar to tail but runs in the background.
  editbox          Allows editing an existing file

=== debian/rules ===
#!/usr/bin/make -f

package = dialog
docdir = debian/tmp/usr/share/doc/$(package)
examples = yesno msgbox inputbox checklist menubox menubox1 menubox2 \
	infobox textbox radiolist gauge gauge2 \
	msgbox1 msgbox2 inputbox1 inputbox2 inputbox3 calendar timebox \
	calendar2 fselect2 infobox2 infobox3 infobox4 menubox3 menubox4 \
	menubox5 password textbox2 timebox2 yesno2 yesno3 \
	fselect fselect1 inputbox4 inputbox5 \
	inputmenu1 inputmenu2 inputmenu3 inputmenu4 \
	checklist-utf8 msgbox4-utf8 inputbox6-utf8 menubox-utf8 msgbox4-eucjp \
	form1 form2 inputbox7 \
	calendar-stdout calendar2-stdout gauge0-input-fd \
	fselect-stdout fselect1-stdout fselect2-stdout \
	password1 password2 inputmenu-stdout \
	timebox-stdout timebox2-stdout \
	menubox10 checklist10 radiolist10 pause dselect \
	editbox editbox2 editbox-utf8 mixedform mixedform2 mixedgauge \
	report-button report-edit report-string report-tempfile report-yesno \
	setup-edit setup-tempfile setup-utf8 setup-vars

CFLAGS = -g -Wall -fPIC
STRIP = true
ATRIP = true

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
  CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = strip --remove-section=.comment --remove-section=.note
  ATRIP = strip --strip-debug
endif

build:
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr \
		--enable-nls --with-ncursesw $(CROSS)
	$(MAKE)
	touch build

clean:
	rm -f build
	[ ! -f makefile ] || $(MAKE) distclean
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: build

binary-arch: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)/examples
	cd debian/tmp && install -d usr/bin usr/man/man1 usr/share/perl5
	$(MAKE) install install-lib DESTDIR=`pwd`/debian/tmp prefix=/usr
	rm -f debian/tmp/usr/bin/dialog-config
	cp -p dialog.pl debian/tmp/usr/share/perl5
	cp -p debian/changelog $(docdir)/changelog.Debian
	cp -p README CHANGES debian/copyright $(docdir)
	cd samples && cp -p $(examples) ../$(docdir)/examples
	chmod 644 $(docdir)/examples/report-*
	chmod 644 $(docdir)/examples/setup-*
	chmod -R u+w $(docdir) debian/tmp/usr/lib
	cd $(docdir) && gzip -9 CHANGES changelog.Debian
	ln -s CHANGES.gz $(docdir)/changelog.gz
	gzip -r9 debian/tmp/usr/man
	cd debian/tmp && mv usr/man usr/share
	$(ATRIP) debian/tmp/usr/lib/libdialog.a
	$(STRIP) debian/tmp/usr/bin/dialog
	dpkg-shlibdeps debian/tmp/usr/bin/dialog
	dpkg-gencontrol
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R 0:0 debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## dialog 1.1-20110707

=== debian/changelog ===
dialog (1.1-20110707-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 09 Jul 2011 22:24:44 +0200

dialog (1.1-20110630-1) unstable; urgency=low

  * New upstream release.
  * Fixed debian/copyright. Dialog as a whole is under LGPL 2.1
    (without "or any later version"). Closes: #632198.

 -- Santiago Vila <sanvila@debian.org>  Fri, 01 Jul 2011 18:23:50 +0200

dialog (1.1-20110302-1) unstable; urgency=low

  * New upstream release.
  * Added --disable-rpath-hack to debian/rules configure call.
  * Correct handling of SIGWINCH in gauge widget (Closes: #305705).
  * Account for combining characters when wrapping text (Closes: #570634).

 -- Santiago Vila <sanvila@debian.org>  Tue, 10 May 2011 17:39:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 build:
 	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr \
-		--enable-nls --with-ncursesw $(CROSS)
+		--enable-nls --with-ncursesw --disable-rpath-hack $(CROSS)
 	$(MAKE)
 	touch build

## dialog 1.1-20111018

=== debian/changelog ===
dialog (1.1-20111018-1) unstable; urgency=low

  * New upstream release. Summary of changes fixing Debian bugs:
  * dialog --fselect "" now scans the current directory (Closes: #640905).
  * Added color table entries for secondary borders (Closes: #641168).
  * Improved manpage regarding exit status (Closes: #642105).
  * Added DLGK_FORM_PREV and DLGK_FORM_NEXT key-bindings to allow binding
    a single key to traverse both form-fields and buttons. Added also a
    suitable example to the manpage (Closes: #642108).

 -- Santiago Vila <sanvila@debian.org>  Wed, 19 Oct 2011 10:31:22 +0200

## dialog 1.1-20111020

=== debian/changelog ===
dialog (1.1-20111020-1) unstable; urgency=low

  * New upstream release.
  * Fixes segfault in inputbox. Closes: #646072.

 -- Santiago Vila <sanvila@debian.org>  Fri, 21 Oct 2011 11:00:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	fselect-stdout fselect1-stdout fselect2-stdout \
 	password1 password2 inputmenu-stdout \
 	timebox-stdout timebox2-stdout \
-	menubox10 checklist10 radiolist10 pause dselect \
+	menubox10 checklist10 radiolist10 pause \
 	editbox editbox2 editbox-utf8 mixedform mixedform2 mixedgauge \
 	report-button report-edit report-string report-tempfile report-yesno \
 	setup-edit setup-tempfile setup-utf8 setup-vars
@@ -83,4 +83,8 @@
 
 binary: binary-indep binary-arch
 
-.PHONY: binary binary-arch binary-indep clean
+build-arch: build
+
+build-indep: build
+
+.PHONY: binary binary-arch binary-indep build-arch build-indep clean

## dialog 1.1-20120215

=== debian/changelog ===
dialog (1.1-20120215-2ubuntu1) quantal; urgency=low

  * Update config.guess,sub for aarch64

 -- Wookey <wookey@wookware.org>  Mon, 01 Oct 2012 12:56:38 +0100

dialog (1.1-20120215-2) unstable; urgency=low

  * Applied Ubuntu patch from Lebedev Vadim to fix -rename and -nook.
    Reported by Serge Hallyn. Closes: #673041.

 -- Santiago Vila <sanvila@debian.org>  Fri, 08 Jun 2012 13:17:12 +0200

dialog (1.1-20120215-1) unstable; urgency=low

  * New upstream release.
  * Get CFLAGS and friends from dpkg-buildflags.

 -- Santiago Vila <sanvila@debian.org>  Sat, 03 Mar 2012 17:41:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: dialog
 Section: misc
 Priority: optional
-Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
+Standards-Version: 3.9.2
 Build-Depends: libncursesw5-dev (>= 5.3), gettext
 Homepage: http://invisible-island.net/dialog/dialog.html

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,10 @@
 	report-button report-edit report-string report-tempfile report-yesno \
 	setup-edit setup-tempfile setup-utf8 setup-vars
 
-CFLAGS = -g -Wall -fPIC
+CFLAGS := `dpkg-buildflags --get CFLAGS` -fPIC -Wall
+LDFLAGS := `dpkg-buildflags --get LDFLAGS`
+CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
+
 STRIP = true
 ATRIP = true
 
@@ -32,16 +35,14 @@
   CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-  CFLAGS += -O2
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
   STRIP = strip --remove-section=.comment --remove-section=.note
   ATRIP = strip --strip-debug
 endif
 
 build:
-	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr \
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
+		./configure --prefix=/usr \
 		--enable-nls --with-ncursesw --disable-rpath-hack $(CROSS)
 	$(MAKE)
 	touch build

## dialog 1.2

=== package/freebsd/Makefile ===
# New ports collection makefile for:	ncdialog
# Date created:		2003-01-11
# Whom:			AlanE <alane@freebsd.org>
#
# $Carpetsmoker: ports/cdialog/Makefile,v 1.4 2007/04/22 11:30:53 carpetsmoker Exp $
# $FreeBSD: ports/devel/cdialog/Makefile,v 1.40 2012/11/17 05:55:36 svnexp Exp $
#

PORTNAME=	cdialog
PORTVERSION=	1.2.20130928
PORTEPOCH=	1
CATEGORIES=	devel
MASTER_SITES=	ftp://invisible-island.net/${PORTNAME:S|^c||}/
DISTNAME=	${PORTNAME:S|^c||}-${PORTVERSION:R}-${PORTVERSION:E}
EXTRACT_SUFX=	.tgz

MAINTAINER=	sylvio@FreeBSD.org
COMMENT=	An enhanced version of 'dialog' to work with ncurses

LICENSE=	LGPL21

USE_AUTOTOOLS=	libtool
GNU_CONFIGURE=	yes
USE_LDCONFIG=	yes
CONFIGURE_ARGS=	--enable-widec \
		--includedir=${PREFIX}/include/${PORTNAME} \
		--with-libtool \
		--with-ncursesw \
		--with-package=${PORTNAME}
MAKEFILE=	makefile

MAN1=		cdialog.1
MAN3=		cdialog.3
MANCOMPRESSED=	no

INSTALL_TARGET=	install-strip install-man install-lib

.if !defined(NOPORTEXAMPLES)
post-patch:
	@${FIND} ${WRKSRC}/samples/ -type f -exec ${REINPLACE_CMD} -i "" "s|dialog|cdialog|g" {} \;

post-install:
	@${MKDIR} ${EXAMPLESDIR}
	cd ${WRKSRC}/samples && ${FIND} . | \
		${CPIO} -pdm -L -R ${SHAREOWN}:${SHAREGRP} ${EXAMPLESDIR}
.endif

.include <bsd.port.mk>

## dialog 1.2-20130523

=== debian/changelog ===
dialog (1.2-20130523-1) unstable; urgency=medium

  * New upstream release.
  * There is now a --last-key option. Closes: #697607.
  * Fixed problem with new ncurses. Closes: #708829.

 -- Santiago Vila <sanvila@debian.org>  Fri, 24 May 2013 11:06:30 +0200

dialog (1.2-20121230-1) unstable; urgency=low

  * New upstream release.
  * Dropped patches/01-fix-for-ubuntu-bug-333909. Applied upstream.
  * Dropped patches/99-config-guess-config-sub. Obsolete now.
  * Double-quoting is now more consistent. Closes: #663664.
  * The way "hotkeys" are assigned to widget buttons has been
    improved. Closes: #684933.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 May 2013 18:10:00 +0200

dialog (1.1-20120215-3) unstable; urgency=low

  * Updated config.guess and config.sub for arm64. Closes: #689615.

 -- Santiago Vila <sanvila@debian.org>  Wed, 10 Oct 2012 17:25:06 +0200

## dialog 1.2-20130928

=== debian/changelog ===
dialog (1.2-20130928-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Oct 2013 00:42:32 +0200

dialog (1.2-20130923-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon, 30 Sep 2013 23:42:52 +0200

## dialog 1.3

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 #
 
 PORTNAME=	cdialog
-PORTVERSION=	1.2.20130928
+PORTVERSION=	1.3.20260107
 PORTEPOCH=	1
 CATEGORIES=	devel
-MASTER_SITES=	ftp://invisible-island.net/${PORTNAME:S|^c||}/
+MASTER_SITES=	https://invisible-island.net/archives/${PORTNAME:S|^c||}/
 DISTNAME=	${PORTNAME:S|^c||}-${PORTVERSION:R}-${PORTVERSION:E}
 EXTRACT_SUFX=	.tgz

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.95 2024/06/26 16:24:02 wiz Exp $

DISTNAME=	dialog-1.3-20250116
PKGNAME=	${DISTNAME:C/-2/.2/}
CATEGORIES=	misc
MASTER_SITES=	https://invisible-island.net/archives/dialog/ \
		https://invisible-mirror.net/archives/dialog/
EXTRACT_SUFX=	.tgz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	https://invisible-island.net/dialog/dialog.html
COMMENT=	Display dialog boxes from shell scripts
LICENSE=	gnu-lgpl-v2.1

GNU_CONFIGURE=		yes
MAKE_FILE=		makefile
USE_LIBTOOL=		yes
CONFIGURE_ARGS+=	--with-libtool

INSTALLATION_DIRS=	bin ${PKGMANDIR}/man1

.include "../../mk/bsd.prefs.mk"
.if ${OPSYS} == "NetBSD" && ${OPSYS_VERSION} < 060000
CONFIGURE_ARGS+=	--disable-widec
.endif

.include "../../mk/curses.buildlink3.mk"
.include "../../mk/bsd.pkg.mk"

## dialog 1.3-20160209

=== debian/changelog ===
dialog (1.3-20160209-1) unstable; urgency=low

  * New upstream release.
  * Put library in multiarch location. Closes: #812913.
    Thanks to Matthias Klose.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Feb 2016 18:52:02 +0100

dialog (1.2-20150920-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/upstream/signing-key.asc and a simple debian/watch file.

 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Sep 2015 23:20:00 +0200

dialog (1.2-20150528-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 May 2015 13:48:50 +0200

dialog (1.2-20150513-1) unstable; urgency=low

  * New upstream release.
  * Cursor keys should now work after tab in --editbox. Closes: #775294.
  * Fixed ok/cancel shortcuts in --menu dialogs. Closes: #775295.
  * Make the build reproducible, by using gzip -n and setting timestamps
    before building binary package.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 13:38:06 +0200

dialog (1.2-20140911-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 01 Oct 2014 17:20:50 +0200

dialog (1.2-20140219-1) unstable; urgency=medium

  * New upstream release. Fixes manpage bugs.
    Closes: #726233, #739180, #739181.

 -- Santiago Vila <sanvila@debian.org>  Thu, 06 Mar 2014 15:49:40 +0100

dialog (1.2-20140112-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 12 Feb 2014 17:19:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 package = dialog
 docdir = debian/tmp/usr/share/doc/$(package)
+
+BUILD_DATE := $(shell dpkg-parsechangelog -S Date)
+
 examples = yesno msgbox inputbox checklist menubox menubox1 menubox2 \
 	infobox textbox radiolist gauge gauge2 \
 	msgbox1 msgbox2 inputbox1 inputbox2 inputbox3 calendar timebox \
@@ -58,8 +61,8 @@
 binary-arch: build
 	rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN $(docdir)/examples
-	cd debian/tmp && install -d usr/bin usr/man/man1 usr/share/perl5
-	$(MAKE) install install-lib DESTDIR=`pwd`/debian/tmp prefix=/usr
+	cd debian/tmp && install -d usr/bin usr/share/man/man1 usr/share/perl5
+	$(MAKE) install install-lib DESTDIR=`pwd`/debian/tmp prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	rm -f debian/tmp/usr/bin/dialog-config
 	cp -p dialog.pl debian/tmp/usr/share/perl5
 	cp -p debian/changelog $(docdir)/changelog.Debian
@@ -68,18 +71,20 @@
 	chmod 644 $(docdir)/examples/report-*
 	chmod 644 $(docdir)/examples/setup-*
 	chmod -R u+w $(docdir) debian/tmp/usr/lib
-	cd $(docdir) && gzip -9 CHANGES changelog.Debian
+	cd $(docdir) && gzip -9n CHANGES changelog.Debian
 	ln -s CHANGES.gz $(docdir)/changelog.gz
-	gzip -r9 debian/tmp/usr/man
-	cd debian/tmp && mv usr/man usr/share
-	$(ATRIP) debian/tmp/usr/lib/libdialog.a
+	gzip -r9n debian/tmp/usr/share/man
+	$(ATRIP) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libdialog.a
 	$(STRIP) debian/tmp/usr/bin/dialog
 	dpkg-shlibdeps debian/tmp/usr/bin/dialog
 	dpkg-gencontrol
 	cd debian/tmp && \
-		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
+		find * -type f ! -regex "DEBIAN/.*" -print0 |\
+		LC_ALL=C sort -z | xargs -0r md5sum > DEBIAN/md5sums
 	chown -R 0:0 debian/tmp
 	chmod -R go=rX debian/tmp
+	find debian/tmp -newermt '$(BUILD_DATE)' -print0 |\
+		xargs -0r touch -h --date='$(BUILD_DATE)'
 	dpkg --build debian/tmp ..
 
 binary: binary-indep binary-arch

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ ftp://invisible-island.net/dialog/dialog-(\d.+)\.tgz

## dialog 1.3-20160828

=== debian/changelog ===
dialog (1.3-20160828-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Allow cross-build. Use triplet-prefixed strip. Closes: #837950.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Nov 2016 19:15:50 +0100

dialog (1.3-20160828-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Mon, 29 Aug 2016 22:36:10 +0100

dialog (1.3-20160424-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 22 May 2016 22:38:30 +0200

## dialog 1.3-20171209

=== debian/changelog ===
dialog (1.3-20171209-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Dec 2017 20:20:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,8 @@
 endif
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-  STRIP = strip --remove-section=.comment --remove-section=.note
-  ATRIP = strip --strip-debug
+  STRIP = $(DEB_HOST_GNU_TYPE)-strip --remove-section=.comment --remove-section=.note
+  ATRIP = $(DEB_HOST_GNU_TYPE)-strip --strip-debug
 endif
 
 build:

## dialog 1.3-20181022

=== debian/changelog ===
dialog (1.3-20181022-1) unstable; urgency=medium

  * New upstream release.
  * Bugs fixed in the previous upstream release 1.3-20180621:
  - Improve handling of SIGWINCH for several widgets. Closes: #865840.
  - Improve documentation of the various whitespace-filtering options,
    to show which take precedence. Closes: #867536.
  * Add menubox11 to examples directory.

 -- Santiago Vila <sanvila@debian.org>  Sun, 28 Oct 2018 22:30:24 +0100

## dialog 1.3-20190211

=== debian/changelog ===
dialog (1.3-20190211-1) unstable; urgency=low

  * New upstream release (misc fixes).

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Feb 2019 23:44:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: dialog
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Santiago Vila <sanvila@debian.org>
+Standards-Version: 3.9.6
 Build-Depends: libncursesw5-dev (>= 5.3), gettext
 Homepage: http://invisible-island.net/dialog/dialog.html

## dialog 1.3-20190808

=== debian/changelog ===
dialog (1.3-20190808-1) unstable; urgency=low

  * New upstream release.
  * Fixed in upstream version 1.3-20190724:
  - Reduce the chance that dialog exits on a SIGWINCH. Closes: #930775.

 -- Santiago Vila <sanvila@debian.org>  Tue, 27 Aug 2019 18:32:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	fselect-stdout fselect1-stdout fselect2-stdout \
 	password1 password2 inputmenu-stdout \
 	timebox-stdout timebox2-stdout \
-	menubox10 checklist10 radiolist10 pause \
+	menubox10 menubox11 checklist10 radiolist10 pause \
 	editbox editbox2 editbox-utf8 mixedform mixedform2 mixedgauge \
 	report-button report-edit report-string report-tempfile report-yesno \
 	setup-edit setup-tempfile setup-utf8 setup-vars

## dialog 1.3-20201126

=== debian/changelog ===
dialog (1.3-20201126-1) unstable; urgency=medium

  * New upstream release.
  * Fix automatic box height. Closes: #915949.
  * Fix return code for last-key feature. Closes: #942025.
  * Backtitle should no longer disappear on resize. Closes: #954185.
  * Fix program abort on resize. Closes: #954220.
  * Fix options --aspect and --tab-len. Closes: #970508.
  * Add Multi-Arch: foreign. Closes: #973318.
  * Switch to dh.

 -- Santiago Vila <sanvila@debian.org>  Sun, 03 Jan 2021 00:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: libncursesw5-dev (>= 5.3), gettext
-Homepage: http://invisible-island.net/dialog/dialog.html
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), libncursesw5-dev (>= 5.3), gettext
+Homepage: https://invisible-island.net/dialog/dialog.html
 
 Package: dialog
 Architecture: any
 Depends: ${shlibs:Depends}, debianutils (>= 1.6)
 Provides: libdialog-dev
+Multi-Arch: foreign
 Description: Displays user-friendly dialog boxes from shell scripts
  This application provides a method of displaying several different types
  of dialog boxes from shell scripts.  This allows a developer of a script

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ ftp://ftp.invisible-island.net/dialog/dialog-(\d.+)\.tgz

## dialog 1.3-20211214

=== debian/changelog ===
dialog (1.3-20211214-1) unstable; urgency=medium

  * New upstream release.
  * Fix height-computation for fselect and timebox. Closes: #990043.
  * Fix off-by-one calendar bug. Closes: #1000720.
  * Update debian/upstream/signing-key.asc.
  * Change build-depends to libncurses-dev.

 -- Santiago Vila <sanvila@debian.org>  Tue, 04 Jan 2022 00:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), libncursesw5-dev (>= 5.3), gettext
+Build-Depends: debhelper-compat (= 13), libncurses-dev (>= 5.3), gettext
 Homepage: https://invisible-island.net/dialog/dialog.html
 
 Package: dialog

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --enable-nls --with-ncursesw --disable-rpath-hack

override_dh_auto_install:
	dh_auto_install -- install install-lib

override_dh_install:
	dh_install
	rm -f debian/dialog/usr/bin/dialog-config

override_dh_installdocs:
	dh_installdocs CHANGES README

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGES

## dialog 1.3-20220728

=== debian/changelog ===
dialog (1.3-20220728-1) unstable; urgency=medium

  * New upstream release.
  * Fix segfault when passing large line to editbox. Closes: #1003185.
  * Fix segfault when resizing menu. Closes: #1004868.
  * Make --max-input work for sizes greater than 2048. Closes: #1004874.
  * Add missing ${misc:Depends} to Depends field.
  * Update standards version to 4.6.1.
  * Trim trailing whitespace.

 -- Santiago Vila <sanvila@debian.org>  Fri, 16 Dec 2022 14:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), libncurses-dev (>= 5.3), gettext
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev (>= 5.3)
 Homepage: https://invisible-island.net/dialog/dialog.html
 
 Package: dialog
 Architecture: any
-Depends: ${shlibs:Depends}, debianutils (>= 1.6)
+Depends: debianutils (>= 1.6), ${misc:Depends}, ${shlibs:Depends}
 Provides: libdialog-dev
 Multi-Arch: foreign
 Description: Displays user-friendly dialog boxes from shell scripts

## dialog 1.3-20221229

=== debian/changelog ===
dialog (1.3-20221229-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Santiago Vila <sanvila@debian.org>  Thu, 05 Jan 2023 15:25:00 +0100

## dialog 1.3-20230209

=== debian/changelog ===
dialog (1.3-20230209-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Feb 2023 18:20:00 +0100

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ ftp://ftp.invisible-island.net/dialog/dialog-(\d.+)\.tgz

## dialog 1.3-20240101

=== debian/changelog ===
dialog (1.3-20240101-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Tue, 23 Jan 2024 18:05:00 +0100

dialog (1.3-20231002-1) unstable; urgency=medium

  * New upstream release.
  * Make debian/copyright machine-readable.
  * Update debian/watch file. Closes: #1043472.

 -- Santiago Vila <sanvila@debian.org>  Tue, 31 Oct 2023 10:22:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev (>= 5.3)
 Homepage: https://invisible-island.net/dialog/dialog.html

## dialog 1.3-20240307

=== debian/changelog ===
dialog (1.3-20240307-2) unstable; urgency=medium

  * Fix Breaks and Replaces fields. Closes: #1068634.
    Thanks to Helmut Grohne for the report.

 -- Santiago Vila <sanvila@debian.org>  Mon, 08 Apr 2024 12:40:00 +0200

dialog (1.3-20240307-1) unstable; urgency=medium

  [ Santiago Vila ]
  * New upstream release.
  * Rules-Requires-Root: no.
  * Fix typo in debian/copyright.
  * Update debian/upstream/signing-key.asc.
  [ Sven Joachim ]
  * Split out libdialog-dev into its own package. Closes: #1012325.
  * Build a shared library.
  * Add libtool-bin to Build-Depends.

 -- Santiago Vila <sanvila@debian.org>  Sun, 07 Apr 2024 12:40:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev (>= 5.3)
+Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev (>= 5.3), libtool-bin
 Homepage: https://invisible-island.net/dialog/dialog.html
+Rules-Requires-Root: no
 
 Package: dialog
 Architecture: any
 Depends: debianutils (>= 1.6), ${misc:Depends}, ${shlibs:Depends}
-Provides: libdialog-dev
 Multi-Arch: foreign
 Description: Displays user-friendly dialog boxes from shell scripts
  This application provides a method of displaying several different types
@@ -29,3 +29,29 @@
   tail             Allows viewing the end of files (tail) that auto updates
   background tail  Similar to tail but runs in the background.
   editbox          Allows editing an existing file
+
+Package: libdialog15
+Architecture: any
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Description: Displays user-friendly dialog boxes -- shared library
+ The dialog application provides a method of displaying several different
+ types of dialog boxes from shell scripts.  This allows a developer of a
+ script to interact with the user in a much friendlier manner.
+ .
+ This package contains the shared library.
+
+Package: libdialog-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, libdialog15 (= ${binary:Version}), libncurses-dev
+Multi-Arch: same
+Replaces: dialog (<< 1.3-20240307-1~)
+Breaks: dialog (<< 1.3-20240307-1~)
+Description: Displays user-friendly dialog boxes -- development files
+ The dialog application provides a method of displaying several different
+ types of dialog boxes from shell scripts.  This allows a developer of a
+ script to interact with the user in a much friendlier manner.
+ .
+ This package contains the development files and the API documentation.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,8 @@
 override_dh_autoreconf:
 
 override_dh_auto_configure:
-	dh_auto_configure -- --prefix=/usr --enable-nls --with-ncursesw --disable-rpath-hack
+	dh_auto_configure -- --prefix=/usr --enable-nls --with-ncursesw --disable-rpath-hack \
+			     --with-shared --with-libtool
 
 override_dh_auto_install:
 	dh_auto_install -- install install-lib

## dialog 1.3-20250116

=== debian/changelog ===
dialog (1.3-20250116-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/salsa-ci.yml.
  * Do not trim Debian changelog.
  * Add Vcs-Git and Vcs-Browser fields.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Thu, 23 Jan 2025 12:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev (>= 5.3), libtool-bin
 Homepage: https://invisible-island.net/dialog/dialog.html
+Vcs-Git: https://salsa.debian.org/sanvila/dialog.git
+Vcs-Browser: https://salsa.debian.org/sanvila/dialog
 Rules-Requires-Root: no
 
 Package: dialog

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://invisible-island.net/archives/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## dialog 1.3-20250817

=== debian/changelog ===
dialog (1.3-20250817-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Sun, 31 Aug 2025 18:25:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev (>= 5.3), libtool-bin
 Homepage: https://invisible-island.net/dialog/dialog.html
 Vcs-Git: https://salsa.debian.org/sanvila/dialog.git

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	dh_installdocs CHANGES README
 
 override_dh_installchangelogs:
-	dh_installchangelogs -X CHANGES
+	dh_installchangelogs --no-trim -X CHANGES

## dialog 1.3-20260107

=== debian/changelog ===
dialog (1.3-20260107-1) unstable; urgency=medium

  * New upstream release.
  * Switch watch file to format version 5.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Minimize signing-key.asc.

 -- Santiago Vila <sanvila@debian.org>  Thu, 08 Jan 2026 19:30:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: dialog
 Section: misc
-Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev (>= 5.3), libtool-bin
 Homepage: https://invisible-island.net/dialog/dialog.html
 Vcs-Git: https://salsa.debian.org/sanvila/dialog.git
 Vcs-Browser: https://salsa.debian.org/sanvila/dialog
-Rules-Requires-Root: no
 
 Package: dialog
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://invisible-island.net/archives/@PACKAGE@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.asc/
